// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/note.proto

package apipb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type CreateRequest struct {
	Note                 *Note    `protobuf:"bytes,1,opt,name=note,proto3" json:"note,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateRequest) Reset()         { *m = CreateRequest{} }
func (m *CreateRequest) String() string { return proto.CompactTextString(m) }
func (*CreateRequest) ProtoMessage()    {}
func (*CreateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{0}
}

func (m *CreateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateRequest.Unmarshal(m, b)
}
func (m *CreateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateRequest.Marshal(b, m, deterministic)
}
func (m *CreateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateRequest.Merge(m, src)
}
func (m *CreateRequest) XXX_Size() int {
	return xxx_messageInfo_CreateRequest.Size(m)
}
func (m *CreateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateRequest proto.InternalMessageInfo

func (m *CreateRequest) GetNote() *Note {
	if m != nil {
		return m.Note
	}
	return nil
}

type CreateResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateResponse) Reset()         { *m = CreateResponse{} }
func (m *CreateResponse) String() string { return proto.CompactTextString(m) }
func (*CreateResponse) ProtoMessage()    {}
func (*CreateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{1}
}

func (m *CreateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateResponse.Unmarshal(m, b)
}
func (m *CreateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateResponse.Marshal(b, m, deterministic)
}
func (m *CreateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateResponse.Merge(m, src)
}
func (m *CreateResponse) XXX_Size() int {
	return xxx_messageInfo_CreateResponse.Size(m)
}
func (m *CreateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CreateResponse proto.InternalMessageInfo

func (m *CreateResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type FindByMonthRequest struct {
	Month                int32    `protobuf:"varint,1,opt,name=month,proto3" json:"month,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FindByMonthRequest) Reset()         { *m = FindByMonthRequest{} }
func (m *FindByMonthRequest) String() string { return proto.CompactTextString(m) }
func (*FindByMonthRequest) ProtoMessage()    {}
func (*FindByMonthRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{2}
}

func (m *FindByMonthRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FindByMonthRequest.Unmarshal(m, b)
}
func (m *FindByMonthRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FindByMonthRequest.Marshal(b, m, deterministic)
}
func (m *FindByMonthRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FindByMonthRequest.Merge(m, src)
}
func (m *FindByMonthRequest) XXX_Size() int {
	return xxx_messageInfo_FindByMonthRequest.Size(m)
}
func (m *FindByMonthRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_FindByMonthRequest.DiscardUnknown(m)
}

var xxx_messageInfo_FindByMonthRequest proto.InternalMessageInfo

func (m *FindByMonthRequest) GetMonth() int32 {
	if m != nil {
		return m.Month
	}
	return 0
}

type FindByMonthResponse struct {
	Notes                []*Note  `protobuf:"bytes,1,rep,name=notes,proto3" json:"notes,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FindByMonthResponse) Reset()         { *m = FindByMonthResponse{} }
func (m *FindByMonthResponse) String() string { return proto.CompactTextString(m) }
func (*FindByMonthResponse) ProtoMessage()    {}
func (*FindByMonthResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{3}
}

func (m *FindByMonthResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FindByMonthResponse.Unmarshal(m, b)
}
func (m *FindByMonthResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FindByMonthResponse.Marshal(b, m, deterministic)
}
func (m *FindByMonthResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FindByMonthResponse.Merge(m, src)
}
func (m *FindByMonthResponse) XXX_Size() int {
	return xxx_messageInfo_FindByMonthResponse.Size(m)
}
func (m *FindByMonthResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_FindByMonthResponse.DiscardUnknown(m)
}

var xxx_messageInfo_FindByMonthResponse proto.InternalMessageInfo

func (m *FindByMonthResponse) GetNotes() []*Note {
	if m != nil {
		return m.Notes
	}
	return nil
}

type UpdateRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Note                 *Note    `protobuf:"bytes,2,opt,name=note,proto3" json:"note,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateRequest) Reset()         { *m = UpdateRequest{} }
func (m *UpdateRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateRequest) ProtoMessage()    {}
func (*UpdateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{4}
}

func (m *UpdateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateRequest.Unmarshal(m, b)
}
func (m *UpdateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateRequest.Marshal(b, m, deterministic)
}
func (m *UpdateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateRequest.Merge(m, src)
}
func (m *UpdateRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateRequest.Size(m)
}
func (m *UpdateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateRequest proto.InternalMessageInfo

func (m *UpdateRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *UpdateRequest) GetNote() *Note {
	if m != nil {
		return m.Note
	}
	return nil
}

type UpdateResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateResponse) Reset()         { *m = UpdateResponse{} }
func (m *UpdateResponse) String() string { return proto.CompactTextString(m) }
func (*UpdateResponse) ProtoMessage()    {}
func (*UpdateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{5}
}

func (m *UpdateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateResponse.Unmarshal(m, b)
}
func (m *UpdateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateResponse.Marshal(b, m, deterministic)
}
func (m *UpdateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateResponse.Merge(m, src)
}
func (m *UpdateResponse) XXX_Size() int {
	return xxx_messageInfo_UpdateResponse.Size(m)
}
func (m *UpdateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateResponse proto.InternalMessageInfo

func (m *UpdateResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type RemoveRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RemoveRequest) Reset()         { *m = RemoveRequest{} }
func (m *RemoveRequest) String() string { return proto.CompactTextString(m) }
func (*RemoveRequest) ProtoMessage()    {}
func (*RemoveRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{6}
}

func (m *RemoveRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RemoveRequest.Unmarshal(m, b)
}
func (m *RemoveRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RemoveRequest.Marshal(b, m, deterministic)
}
func (m *RemoveRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RemoveRequest.Merge(m, src)
}
func (m *RemoveRequest) XXX_Size() int {
	return xxx_messageInfo_RemoveRequest.Size(m)
}
func (m *RemoveRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RemoveRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RemoveRequest proto.InternalMessageInfo

func (m *RemoveRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type RemoveResponse struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RemoveResponse) Reset()         { *m = RemoveResponse{} }
func (m *RemoveResponse) String() string { return proto.CompactTextString(m) }
func (*RemoveResponse) ProtoMessage()    {}
func (*RemoveResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{7}
}

func (m *RemoveResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RemoveResponse.Unmarshal(m, b)
}
func (m *RemoveResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RemoveResponse.Marshal(b, m, deterministic)
}
func (m *RemoveResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RemoveResponse.Merge(m, src)
}
func (m *RemoveResponse) XXX_Size() int {
	return xxx_messageInfo_RemoveResponse.Size(m)
}
func (m *RemoveResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RemoveResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RemoveResponse proto.InternalMessageInfo

func (m *RemoveResponse) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type Note struct {
	LastName             string   `protobuf:"bytes,1,opt,name=last_name,json=lastName,proto3" json:"last_name,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	BirthDay             int32    `protobuf:"varint,3,opt,name=birth_day,json=birthDay,proto3" json:"birth_day,omitempty"`
	BirthMonth           int32    `protobuf:"varint,4,opt,name=birth_month,json=birthMonth,proto3" json:"birth_month,omitempty"`
	BirthYear            int32    `protobuf:"varint,5,opt,name=birth_year,json=birthYear,proto3" json:"birth_year,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Note) Reset()         { *m = Note{} }
func (m *Note) String() string { return proto.CompactTextString(m) }
func (*Note) ProtoMessage()    {}
func (*Note) Descriptor() ([]byte, []int) {
	return fileDescriptor_3244fcc7d0854243, []int{8}
}

func (m *Note) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Note.Unmarshal(m, b)
}
func (m *Note) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Note.Marshal(b, m, deterministic)
}
func (m *Note) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Note.Merge(m, src)
}
func (m *Note) XXX_Size() int {
	return xxx_messageInfo_Note.Size(m)
}
func (m *Note) XXX_DiscardUnknown() {
	xxx_messageInfo_Note.DiscardUnknown(m)
}

var xxx_messageInfo_Note proto.InternalMessageInfo

func (m *Note) GetLastName() string {
	if m != nil {
		return m.LastName
	}
	return ""
}

func (m *Note) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Note) GetBirthDay() int32 {
	if m != nil {
		return m.BirthDay
	}
	return 0
}

func (m *Note) GetBirthMonth() int32 {
	if m != nil {
		return m.BirthMonth
	}
	return 0
}

func (m *Note) GetBirthYear() int32 {
	if m != nil {
		return m.BirthYear
	}
	return 0
}

func init() {
	proto.RegisterType((*CreateRequest)(nil), "api.CreateRequest")
	proto.RegisterType((*CreateResponse)(nil), "api.CreateResponse")
	proto.RegisterType((*FindByMonthRequest)(nil), "api.FindByMonthRequest")
	proto.RegisterType((*FindByMonthResponse)(nil), "api.FindByMonthResponse")
	proto.RegisterType((*UpdateRequest)(nil), "api.UpdateRequest")
	proto.RegisterType((*UpdateResponse)(nil), "api.UpdateResponse")
	proto.RegisterType((*RemoveRequest)(nil), "api.RemoveRequest")
	proto.RegisterType((*RemoveResponse)(nil), "api.RemoveResponse")
	proto.RegisterType((*Note)(nil), "api.Note")
}

func init() { proto.RegisterFile("api/note.proto", fileDescriptor_3244fcc7d0854243) }

var fileDescriptor_3244fcc7d0854243 = []byte{
	// 385 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x84, 0x53, 0x4d, 0x8b, 0xe2, 0x40,
	0x10, 0x35, 0x31, 0xf1, 0xa3, 0x82, 0x1e, 0xda, 0x85, 0x0d, 0x2e, 0xe2, 0x92, 0xd3, 0xe2, 0x21,
	0x0b, 0x0a, 0x7b, 0xdc, 0x83, 0xbb, 0xcc, 0x6d, 0x3c, 0x64, 0x98, 0xc3, 0xcc, 0x45, 0x5a, 0x53,
	0x60, 0xc3, 0x24, 0xe9, 0x49, 0x5a, 0x21, 0xff, 0x63, 0x7e, 0xe8, 0xfc, 0x84, 0xa1, 0xab, 0x13,
	0xb1, 0x11, 0xf1, 0x96, 0x7a, 0x55, 0xef, 0xd5, 0xc7, 0xeb, 0xc0, 0x98, 0x4b, 0xf1, 0x3b, 0x2f,
	0x14, 0xc6, 0xb2, 0x2c, 0x54, 0xc1, 0xba, 0x5c, 0x8a, 0x28, 0x86, 0xd1, 0xbf, 0x12, 0xb9, 0xc2,
	0x04, 0xdf, 0x8f, 0x58, 0x29, 0x36, 0x03, 0x4f, 0xd7, 0x84, 0xce, 0x4f, 0xe7, 0x57, 0xb0, 0x1c,
	0xc6, 0x5c, 0x8a, 0x78, 0x53, 0x28, 0x4c, 0x08, 0x8e, 0x16, 0x30, 0x6e, 0xeb, 0x2b, 0x59, 0xe4,
	0x15, 0xb2, 0x10, 0xfa, 0xd5, 0x71, 0xbf, 0xc7, 0xaa, 0x22, 0xce, 0x20, 0x69, 0xc3, 0x68, 0x01,
	0xec, 0x41, 0xe4, 0xe9, 0xba, 0x7e, 0x2c, 0x72, 0x75, 0x68, 0x1b, 0x7c, 0x03, 0x3f, 0xd3, 0x31,
	0x55, 0xfb, 0x89, 0x09, 0xa2, 0x3f, 0x30, 0xb1, 0x6a, 0x1b, 0xf1, 0x39, 0xf8, 0xba, 0xad, 0x96,
	0xee, 0xda, 0xe3, 0x18, 0x3c, 0xfa, 0x0b, 0xa3, 0x67, 0x99, 0x5e, 0xcc, 0x3f, 0x06, 0x57, 0xa4,
	0xa4, 0x3d, 0x4c, 0x5c, 0x91, 0x9e, 0xf7, 0x71, 0x6f, 0xee, 0xd3, 0xf2, 0xef, 0xee, 0x33, 0x87,
	0x51, 0x82, 0x59, 0x71, 0xba, 0xd5, 0x4b, 0x8b, 0xb5, 0x05, 0x77, 0xc5, 0x3e, 0x1c, 0xf0, 0xf4,
	0x1c, 0xec, 0x07, 0x0c, 0xdf, 0x78, 0xa5, 0xb6, 0x39, 0xcf, 0xb0, 0xd1, 0x1a, 0x68, 0x60, 0xc3,
	0x33, 0x64, 0x0c, 0x3c, 0xc2, 0x5d, 0xc2, 0xe9, 0x5b, 0x13, 0x76, 0xa2, 0x54, 0x87, 0x6d, 0xca,
	0xeb, 0xb0, 0x4b, 0x47, 0x1c, 0x10, 0xf0, 0x9f, 0xd7, 0x6c, 0x0e, 0x81, 0x49, 0x9a, 0x1b, 0x7b,
	0x94, 0x06, 0x82, 0xe8, 0xb2, 0x6c, 0x06, 0x26, 0xda, 0xd6, 0xc8, 0xcb, 0xd0, 0xa7, 0xbc, 0xd1,
	0x7b, 0x41, 0x5e, 0x2e, 0x3f, 0x1d, 0x08, 0xf4, 0x58, 0x4f, 0x58, 0x9e, 0xc4, 0x1e, 0xd9, 0x0a,
	0x7a, 0xc6, 0x6f, 0xc6, 0xe8, 0x74, 0xd6, 0x63, 0x99, 0x4e, 0x2c, 0xcc, 0xec, 0x1c, 0x75, 0xd8,
	0x1a, 0x82, 0x0b, 0x33, 0xd9, 0x77, 0xaa, 0xba, 0x7e, 0x0a, 0xd3, 0xf0, 0x3a, 0x71, 0xd6, 0x58,
	0x41, 0xcf, 0x18, 0xd3, 0x34, 0xb6, 0x5c, 0x6e, 0x1a, 0xdb, 0xce, 0x19, 0x92, 0x31, 0xa0, 0x21,
	0x59, 0x76, 0x35, 0x24, 0xdb, 0xa1, 0xa8, 0xb3, 0xee, 0xbf, 0xfa, 0x5c, 0x0a, 0xb9, 0xdb, 0xf5,
	0xe8, 0xbf, 0x58, 0x7d, 0x05, 0x00, 0x00, 0xff, 0xff, 0xb6, 0x08, 0xa6, 0xf2, 0x29, 0x03, 0x00,
	0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// NoteServiceClient is the client API for NoteService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type NoteServiceClient interface {
	Create(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*CreateResponse, error)
	FindByMonth(ctx context.Context, in *FindByMonthRequest, opts ...grpc.CallOption) (*FindByMonthResponse, error)
	Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*UpdateResponse, error)
	Remove(ctx context.Context, in *RemoveRequest, opts ...grpc.CallOption) (*RemoveResponse, error)
}

type noteServiceClient struct {
	cc *grpc.ClientConn
}

func NewNoteServiceClient(cc *grpc.ClientConn) NoteServiceClient {
	return &noteServiceClient{cc}
}

func (c *noteServiceClient) Create(ctx context.Context, in *CreateRequest, opts ...grpc.CallOption) (*CreateResponse, error) {
	out := new(CreateResponse)
	err := c.cc.Invoke(ctx, "/api.NoteService/Create", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *noteServiceClient) FindByMonth(ctx context.Context, in *FindByMonthRequest, opts ...grpc.CallOption) (*FindByMonthResponse, error) {
	out := new(FindByMonthResponse)
	err := c.cc.Invoke(ctx, "/api.NoteService/FindByMonth", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *noteServiceClient) Update(ctx context.Context, in *UpdateRequest, opts ...grpc.CallOption) (*UpdateResponse, error) {
	out := new(UpdateResponse)
	err := c.cc.Invoke(ctx, "/api.NoteService/Update", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *noteServiceClient) Remove(ctx context.Context, in *RemoveRequest, opts ...grpc.CallOption) (*RemoveResponse, error) {
	out := new(RemoveResponse)
	err := c.cc.Invoke(ctx, "/api.NoteService/Remove", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// NoteServiceServer is the server API for NoteService service.
type NoteServiceServer interface {
	Create(context.Context, *CreateRequest) (*CreateResponse, error)
	FindByMonth(context.Context, *FindByMonthRequest) (*FindByMonthResponse, error)
	Update(context.Context, *UpdateRequest) (*UpdateResponse, error)
	Remove(context.Context, *RemoveRequest) (*RemoveResponse, error)
}

// UnimplementedNoteServiceServer can be embedded to have forward compatible implementations.
type UnimplementedNoteServiceServer struct {
}

func (*UnimplementedNoteServiceServer) Create(ctx context.Context, req *CreateRequest) (*CreateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Create not implemented")
}
func (*UnimplementedNoteServiceServer) FindByMonth(ctx context.Context, req *FindByMonthRequest) (*FindByMonthResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindByMonth not implemented")
}
func (*UnimplementedNoteServiceServer) Update(ctx context.Context, req *UpdateRequest) (*UpdateResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Update not implemented")
}
func (*UnimplementedNoteServiceServer) Remove(ctx context.Context, req *RemoveRequest) (*RemoveResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Remove not implemented")
}

func RegisterNoteServiceServer(s *grpc.Server, srv NoteServiceServer) {
	s.RegisterService(&_NoteService_serviceDesc, srv)
}

func _NoteService_Create_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NoteServiceServer).Create(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.NoteService/Create",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NoteServiceServer).Create(ctx, req.(*CreateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _NoteService_FindByMonth_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FindByMonthRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NoteServiceServer).FindByMonth(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.NoteService/FindByMonth",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NoteServiceServer).FindByMonth(ctx, req.(*FindByMonthRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _NoteService_Update_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NoteServiceServer).Update(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.NoteService/Update",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NoteServiceServer).Update(ctx, req.(*UpdateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _NoteService_Remove_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(NoteServiceServer).Remove(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.NoteService/Remove",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(NoteServiceServer).Remove(ctx, req.(*RemoveRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _NoteService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "api.NoteService",
	HandlerType: (*NoteServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Create",
			Handler:    _NoteService_Create_Handler,
		},
		{
			MethodName: "FindByMonth",
			Handler:    _NoteService_FindByMonth_Handler,
		},
		{
			MethodName: "Update",
			Handler:    _NoteService_Update_Handler,
		},
		{
			MethodName: "Remove",
			Handler:    _NoteService_Remove_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/note.proto",
}
